Summary: A WYSYWIG frontend to LaTeX
Name: lyxgdb
Version: 1.1.6fix1
Release: 1
Copyright: see COPYING file
Group: X11/Editors
Url: http://www.lyx.org/
Packager: Kayvan A. Sylvan <kayvan@sylvan.com>
Source: ftp://ftp.lyx.org/pub/lyx/stable/lyx-%{PACKAGE_VERSION}.tar.gz
Patch: patch-1.1.6-configure-bug
BuildRoot: /var/tmp/rpm/lyx-root
Icon: lyx.xpm
Prefix: /usr
Requires: xforms >= 0.88, tetex-xdvi, tetex, tetex-latex, lyx

%define __spec_install_post /usr/lib/rpm/brp-compress || :

%description
This is a debuggable version of lyx.

%prep
%setup -n lyx-%{PACKAGE_VERSION}
%patch

%build
unset LINGUAS || true
CXXFLAGS='-g' CFLAGS='-g' ./configure --prefix=/usr --without-warnings \
	--with-included-string
# The following check is to ensure that lyx RPMs generated on RH 6.X machines
# with gcc-2.95 still run against older Redhat OS/compiler combinations.
# It will eventually be ripped out.
if [ -r /usr/lib/libstdc++-libc6.1-1.so.2 ]
then
        make CXX=gcc LYX_LIBS='/usr/lib/libstdc++-libc6.1-1.so.2 -lforms -lXpm'
else
        make
fi

%install
unset LINGUAS || true
rm -rf ${RPM_BUILD_ROOT}
install -d -m 755 ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}/usr install
mv ${RPM_BUILD_ROOT}/usr/bin/lyx ${RPM_BUILD_ROOT}/usr/bin/lyxgdb

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(-,root,root) /usr/bin/lyxgdb
